Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor.spelling
Class SpellingEngineDescriptor

    java.lang.Object
      org.eclipse.ui.texteditor.spelling.SpellingEngineDescriptor

    public class SpellingEngineDescriptor

extends Object

Describes an extension to the `spellingEngine` extension point.

This class is not intended to be subclassed by clients.

Since:
  3.1
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`SpellingEngineDescriptor(IConfigurationElement element)` Creates a new descriptor for `element`.

Method Summary
`ISpellingEngine` `createEngine()` Creates a spelling engine as described in the extension's xml.
`ISpellingPreferenceBlock` `createPreferences()` Creates a spelling preferences block as described in the extension's xml.
`String` `getId()` Reads (if needed) and returns the id of this extension.
`String` `getLabel()` Reads (if needed) and returns the label of this extension.
`boolean` `isDefault()` Reads (if needed) and returns the default attribute value of this extension.
`boolean` `isPluginLoaded()` States whether the plug-in declaring this extension has been loaded already.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpellingEngineDescriptor

    public SpellingEngineDescriptor(IConfigurationElement element)

  Creates a new descriptor for `element`.

  This method is for internal use only.

  Parameters:
    `element` - the extension point element to be described.

Method Detail

### getLabel

    public String getLabel()

  Reads (if needed) and returns the label of this extension.

  Returns:
    the label for this extension.

### getId

    public String getId()

  Reads (if needed) and returns the id of this extension.

  Returns:
    the id for this extension.

### createEngine

    public ISpellingEngine createEngine()
                                 throws CoreException

  Creates a spelling engine as described in the extension's xml.

  Returns:
    the created spelling engine
  Throws:
    `CoreException` - if the creation failed

### createPreferences

    public ISpellingPreferenceBlock createPreferences()
                                               throws CoreException

  Creates a spelling preferences block as described in the extension's xml.

  Returns:
    the created spelling preferences block
  Throws:
    `CoreException` - if the creation failed

### isPluginLoaded

    public boolean isPluginLoaded()

  States whether the plug-in declaring this extension has been loaded already.

  Returns:
    `true` if the extension point's plug-in has been loaded, `false` otherwise.

### isDefault

    public boolean isDefault()

  Reads (if needed) and returns the default attribute value of this extension.

  Returns:
    the default attribute value for this extension.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.